unit uheron;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { Tfheron }

  Tfheron = class(TForm)
    BitBtn1: TBitBtn;
    b_berechne: TButton;
    e_a: TEdit;
    e_b: TEdit;
    e_c: TEdit;
    e_ausgabe: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure b_berechneClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  fheron: Tfheron;

implementation

{$R *.lfm}

{ Tfheron }

procedure Tfheron.b_berechneClick(Sender: TObject);
VAR kante_a,kante_b,kante_c, flaeche : SINGLE;


PROCEDURE Wertuebergaben;
BEGIN
 kante_a:=STRTOFLOAT(e_a.text);
 kante_b:=STRTOFLOAT(e_b.text);
 kante_c:=STRTOFLOAT(e_c.text);
END;

PROCEDURE Heron(a,b,c : SINGLE; VAR f : SINGLE);
VAR s : SINGLE;
BEGIN
 s:=(a+b+c)/2;
 f:=SQRT(s*(s-a)*(s-b)*(s-c));
END;

PROCEDURE Ausgabe;
BEGIN
 e_ausgabe.text:=FLOATTOSTRF(flaeche,ffnumber,8,2);
END;


begin
  //Initialisierung
  flaeche := 0;
  //Eingabe
  Wertuebergaben;
  //Verarbeitung
  Heron(kante_a,kante_b,kante_c,flaeche);
  //Ausgabe
  Ausgabe;
end;

end.

